Subject: bug#2054: Acquamacs v 1.6 C-h f subseq reports function not found

From: David Reitter <[email-masked]>
Date: Sun, 25 Jan 2009 23:31:07 -0500

Hi William,

I get:
	"subseq is an autoloaded Lisp function in `cl-extra'."

that means, it is defined in `cl-extra'.
Does (require 'cl) at the top of your .emacs help?

This function is no longer available in standard Aquamacs.

Regarding the bug report?  Did you use the Help menu function?  That  
should always work.
Presumably you used M-x report-emacs-bug.

Best
- David

On 25 Jan 2009, at 14:15, William R. Deever wrote:

> 1) Updated Acquamacs from v 1.5 to 1.6 01/24/09 in PM in response to  
> the notice on launch that a new version was available--I used the  
> control key seq in the notification. My extensions had been working  
> in 1.5 for some time.
>
> 2) Launched Acquamacs today (01/25/09) and immediately obtained the  
> message:
>
>     An error has occurred while loading `/Users/deever/.emacs':
>
>     Symbol's function definition is void: subseq
>
> 3) C-h f subseq showed that the function is indeed unknown to emacs
>
> 4) Commented out call to my extensions in the custom init file,  
> relaunched, and again tried C-h f subseq with same results.
>
> Emacs remained up and functioning (more or less -- see next comment  
> in parens) during the error and I was able to continue to edit  
> normally.
>
> (This is my second attempt to send this bug report. The first, after  
> 4), failed, and I had to relaunch to perform this attempt.)
>
>
> In GNU Emacs 22.3.2 (i386-apple-darwin9.5.0, Carbon Version 1.6.0)
> of 2009-01-11 on plume.sr.unh.edu - Aquamacs Distribution 1.6
> Windowing system distributor `Apple Inc.', version 10.5.4
> configured using `configure  '--without-x' '--prefix=/usr/local''
>
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: nil
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: nil
>  value of $LC_NUMERIC: nil
>  value of $LC_TIME: nil
>  value of $LANG: nil
>  locale-coding-system: iso-8859-1
>  default-enable-multibyte-characters: t
>
> Major mode: Text
>
> Minor modes in effect:
>  global-hl-line-mode: t
>  savehist-mode: t
>  smart-frame-positioning-mode: t
>  aquamacs-autoface-mode: t
>  global-visual-line-mode: t
>  visual-line-mode: t
>  recentf-mode: t
>  encoded-kbd-mode: t
>  osx-key-mode: t
>  show-paren-mode: t
>  delete-selection-mode: t
>  pc-selection-mode: t
>  tool-bar-mode: t
>  mouse-wheel-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  unify-8859-on-encoding-mode: t
>  utf-translate-cjk-mode: t
>  auto-compression-mode: t
>  column-number-mode: t
>  line-number-mode: t
>
> Recent input:
> C-h f s u b s e q <return> ESC x <help-echo> r e p
> o r t - e m SPC b u g <return>
>
> Recent messages:
> Loading /Users/deever/Library/Preferences/Aquamacs Emacs/ 
> Preferences.el (source)...done
> Warning: You have turned off `cua-mode' in your customizations
> or init file. Without this mode, Aquamacs will behave in an
> un-Mac-like way when you select text and copy&paste it.
> Loading /Users/deever/Library/Preferences/Aquamacs Emacs/frame- 
> positions.el (source)...done
> Truncate long lines disabled
> Mark set
> Aquamacs is based on GNU Emacs 22, a part of the GNU/Linux system.  
> It is Free Software: you can improve and redistribute it under the  
> GNU General Public License, version 3 or later. Copyright (C) 2008  
> Free Software Foundation, Inc. (C) 2008 D. Reitter. No Warranty.
> Quit
> Loading emacsbug...done
>
>
>
>
>